Bug 1996208 - The "Documentation" button on "Hardware Models" page is not pointing to any documentation link for satellite 6.10
Summary: The "Documentation" button on "Hardware Models" page is not pointing to any d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.0
Assignee: Maria
QA Contact: addubey
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-20 20:52 UTC by Jaskaran Singh Narula
Modified: 2021-11-16 14:13 UTC (History)
6 users (show)

Fixed In Version: foreman-2.5.2.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33323 0 None None None 2021-08-26 10:12:31 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:30 UTC

Description Jaskaran Singh Narula 2021-08-20 20:52:50 UTC
Description of problem:

The "Documentation" button on the "Hardware Models" page is not pointing to any documentation link for satellite 6.10 


Version-Release number of selected component (if applicable):
Red Hat Satellite 6.10


How reproducible:

Always

Steps to Reproduce:

1. Access UI --> Host --> Hardware Models and Click on the "Documentation" button in the drop-down list. 

Actual results:

Points to https://satellite.example.com/4.1.5Searching


Expected results:

Should point to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.10/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-searching_and_bookmarking

Additional info:

NA

Comment 3 Maria 2021-08-26 08:54:15 UTC
This was fixed here: https://github.com/theforeman/foreman/pull/8733

Comment 4 Maria 2021-08-26 10:12:30 UTC
Connecting redmine issue https://projects.theforeman.org/issues/33323 from this bug

Comment 5 Bryan Kearney 2021-08-26 12:05:26 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33323 has been resolved.

Comment 9 addubey 2021-09-22 07:06:34 UTC
Verified.


Tested on: Satellite-6.10.0 Snap 19.0


Steps followed: 

1. Access UI --> Host --> Hardware Models and Click on the "Documentation" button in the drop-down list.


Observation: Points to the correct URL https://access.redhat.com/documentation/en-us/red_hat_satellite/6.10/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-searching_and_bookmarking

Comment 12 errata-xmlrpc 2021-11-16 14:13:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.